#
# THIS IS A HACK! When doing this properly, make really sure you
# import the specfile from $git_base/pkg/nrpe rather than using
# this one (they'll have to be merged though, as this one should
# still build the client as well)
#

Summary: nrpe-client is a program for querying NRPE daemons
Name: nrpe-client
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: GPL+
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%name-%version
BuildRequires: openssl
BuildRequires: openssl-devel
Provides: op5-nrpe-client = %version

%description
nrpe-client is a small program designed to query an NRPE daemon
running on a remote server and returning the output and return
code of the command the NRPE daemon runs on behalf of the client.

This is intended to be used on your monitoring server, while the
daemon should run on the servers you want to monitor.

%package -n nrpe
Summary: NRPE - Remote plugin execution daemon.
Group: op5/system-addons
License: GPL
Provides: op5-nrpe = %version

%description -n nrpe
NRPE is a daemon that allows on-demand execution of plugins.
It enables monitoring programs to run small scripts that ask questions
about the current status of the system, which are returned along with output
back to the querying client.

%prep
%setup -q

%build
%configure --enable-command-args

make check_nrpe


%install
rm -rf %buildroot

mkdir -p %buildroot/opt/plugins
cp src/check_nrpe %buildroot/opt/plugins
chmod 755 %buildroot/opt/plugins
mkdir -p %buildroot/usr/sbin
cp src/nrpe %buildroot/usr/sbin
mkdir -p %buildroot/etc/init.d
mkdir -p %buildroot/etc/nrpe.d
cp op5build/nrpe.init %buildroot/etc/init.d/nrpe
cp op5build/op5_commands.cfg %buildroot/etc/nrpe.d
cp op5build/nrpe.conf %buildroot/etc

%post -n nrpe
/sbin/chkconfig --add nrpe || :
/sbin/service nrpe stop || :
/sbin/service nrpe start || :

# Move command definitions to 'include_dir' if upgrading
if [ $1 -eq 2 ]; then
   grep -q '^command\[' /etc/nrpe.conf || :
   if [ $? -eq 0 ]; then
          echo "" >> /etc/nrpe.d/op5_commands.cfg
          echo "# Imported from /etc/nrpe.cfg" >> /etc/nrpe.d/op5_commands.cfg
          grep '^command\[' /etc/nrpe.conf >> /etc/nrpe.d/op5_commands.cfg || :
          sed '/^[\#]\?[ tab]\?command\[\[*/d' -i /etc/nrpe.conf || :
          echo "" >> /etc/nrpe.conf
          echo "# NOTE!" >> /etc/nrpe.conf
          echo "# Command definitions have meed moved to 'include_dir'." >> /etc/nrpe.conf
          echo "# Any commands defined in this file will be moved by future upgrades." >> /etc/nrpe.conf
          echo "" >> /etc/nrpe.conf
   fi

   grep -q '^include_dir' /etc/nrpe.conf || :
   if [ $? -ne 0 ]; then
          echo "# In order to make remote config with conf_nrpe work, you need to" >> /etc/nrpe.conf
          echo "# create the following directory. It needs to be read/writeable by" >> /etc/nrpe.conf
          echo "# nrpe_user specified above. " >> /etc/nrpe.conf
          echo "# All command definitions should be placed in the 'include_dir'" >> /etc/nrpe.conf
          echo "# NOTE: files in 'include_dir' must have a '.cfg' suffix." >> /etc/nrpe.conf
          echo "include_dir=/etc/nrpe.d" >> /etc/nrpe.conf
   fi
fi

%files
%defattr(-,root,root)
/opt/plugins/check_nrpe

%files -n nrpe
%defattr(-,root,root)
/usr/sbin/nrpe
/etc/init.d/nrpe
%config(noreplace) /etc/nrpe.conf
%attr(-,nobody,nobody) %dir /etc/nrpe.d
%attr(-,nobody,nobody) /etc/nrpe.d/*

%clean
rm -rf %buildroot

%changelog
* Mon Nov 12 2007 Andreas Ericsson <ae@op5.se> -
- Tracked alongside sources for autobuild voodoo to work.
